package com.shigongli.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 店主
 * </p>
 *
 * @author yansen
 * @since 2020-12-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaShopKeeper对象", description="店主")
public class TaShopKeeper implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "店主ID")
    @TableId(value = "keeper_id", type = IdType.UUID)
    private String keeperId;

    @ApiModelProperty(value = "店主名称")
    private String name;

    @ApiModelProperty(value = "手机号")
    private String phone;

    @ApiModelProperty(value = "关联店铺")
    private String shopId;

    @ApiModelProperty(value = "关联人员")
    private String personId;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;

    @TableField(exist = false)
    private TaShop taShop;
}
